Mark all notifications read
curl --request POST \
--url https://api.hq.zone/v1/api/notifications/read-all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hq.zone/v1/api/notifications/read-all"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hq.zone/v1/api/notifications/read-all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": 1
}Notifications
Mark all notifications read
Marks all of the caller’s unread notifications as read and returns the number updated. Scoped to the caller’s workspace and to notifications addressed to the caller or workspace-wide.
POST
/
v1
/
api
/
notifications
/
read-all
Mark all notifications read
⌘I